	.file	"dtc.c"
	.text
	.p2align 4
	.globl	vm
	.type	vm, @function
vm:
.LFB0:
	.cfi_startproc
	testq	%rdi, %rdi
	je	.L12
	leaq	8(%rdi), %rax
	jmp	*(%rdi)
	.p2align 4,,10
	.p2align 3
.L4:
	movq	(%rax), %rdx
	subq	$1, (%rsi)
	addq	$8, %rax
	jmp	*%rdx
	.p2align 4,,10
	.p2align 3
.L11:
	movq	(%rsi), %rdx
	leaq	8(%rdx), %rax
	jmp	*(%rdx)
	.p2align 4,,10
	.p2align 3
.L10:
	movq	(%rax), %rdx
	movq	$0, 8(%rsi)
	addq	$8, %rax
	jmp	*%rdx
	.p2align 4,,10
	.p2align 3
.L9:
	movq	(%rsi), %rdx
	addq	$8, %rax
	subq	$8, %rsi
	movq	%rdx, (%rsi)
	movq	-8(%rax), %rdx
	jmp	*%rdx
	.p2align 4,,10
	.p2align 3
.L8:
	movq	(%rax), %rdx
	addq	$8, %rsi
	addq	$8, %rax
	jmp	*%rdx
	.p2align 4,,10
	.p2align 3
.L7:
	movq	(%rax), %rdx
	movq	$0, (%rsi)
	addq	$8, %rax
	jmp	*%rdx
	.p2align 4,,10
	.p2align 3
.L5:
	movq	(%rsi), %rdx
	addq	%rdx, 8(%rsi)
	addq	$8, %rax
	addq	$8, %rsi
	movq	-8(%rax), %rdx
	jmp	*%rdx
.L12:
	leaq	insts.0(%rip), %rax
	ret
	.cfi_endproc
.LFE0:
	.size	vm, .-vm
	.section	.data.rel.local,"aw"
	.align 32
	.type	insts.0, @object
	.size	insts.0, 56
insts.0:
	.quad	.L4
	.quad	.L5
	.quad	.L7
	.quad	.L8
	.quad	.L9
	.quad	.L10
	.quad	.L11
	.ident	"GCC: (Debian 10.2.1-6) 10.2.1 20210110"
	.section	.note.GNU-stack,"",@progbits
